Bug 165030 - Recent rawhide loses the gnome panel on multiple workspaces
Recent rawhide loses the gnome panel on multiple workspaces
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-03 14:18 EDT by Erich Hoover
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-04 03:39:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 311653 None None None Never

  None (edit)
Description Erich Hoover 2005-08-03 14:18:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050729 Fedora/1.1-0.2.5.deerpark.alpha2 Firefox/1.0+

Description of problem:
On recent rawhides (about the same time as bug #), closing a "drawer" in the gnome panel causes the panel to disappear on all workspaces except the one that you are actively using.  By launching the panel manually (killing the existing copy and quickly loading one from a console) I saw this error:
** (gnome-panel:30306): CRITICAL **: panel_toplevel_pop_autohide_disabler: assertion `toplevel->priv->n_autohide_disablers > 0' failed

The panel does not segfault (it stays running) but it's very difficult to work on a multiple workspaces when only one of them has the gnome panel.

Version-Release number of selected component (if applicable):
gnome-panel-2.11.4-3

How reproducible:
Always

Steps to Reproduce:
0. Install latest rawhide
1. Create a drawer on your gnome panel (if you don't have one already, works for new or old drawers)
2. Open the drawer and change to another desktop
3. Close the drawer and change to another desktop


Actual Results:  After step "3" the panel is gone on all desktops except the one the drawer was closed from.

Expected Results:  The gnome panel should have stayed.

Additional info:

Occurs on both x86-64 and i386.
Comment 1 Erich Hoover 2005-08-03 14:20:00 EDT
oops - forgot the bug number for timeframe reference: it's Bug 164664 "Firefox
crashes with cairo assertion".
Comment 2 Mark McLoughlin 2005-08-04 03:39:37 EDT
This is actually a bug in gtk+ which is fixed in gtk+-2.7.5:

  http://bugzilla.gnome.org/show_bug.cgi?id=311653

Should see it in rawhide soon

Note You need to log in before you can comment on or make changes to this bug.